- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# MFnTurbulenceField Class Reference

# OpenMayaFX - API module for effects | FunctionSet classes

Search for all occurrences

## Detailed Description

Function set for Turbulence Fields.

Function set for creation, edit, and query of Turbulence Fields.

A turbulence field causes irregularities in the motion of affected objects. These irregularities are also called noise or jitter.

`#include <MFnTurbulenceField.h>`

Inheritance diagram for MFnTurbulenceField:
[legend]

List of all members.

## Public Member Functions
virtual MFn::Type | type () const
| Function set type.
virtual | ~MFnTurbulenceField ()
| Destructor.
| MFnTurbulenceField ()
| Default constructor.
| MFnTurbulenceField (MObject &object, MStatus *ReturnStatus=NULL)
| Constructor.
| MFnTurbulenceField (const MDagPath &object, MStatus *ret=NULL)
| Constructor.
double | frequency (MStatus *ReturnStatus=NULL) const
| Returns the frequency parameter that generates irregularities in the fields motion.
MStatus | setFrequency (double value)
| Sets the frequency parameter of the Perlin noise function used by the turbulence field.
double | phase (MStatus *ReturnStatus=NULL) const
| Returns the phase shift parameter that influences the direction of the turbulence field disruption.
MStatus | setPhase (double value)
| Sets the phase shift parameter of the Perlin noise function used by the turbulence field.
| MFnTurbulenceField (const MObject &object, MStatus *ret=NULL)
| Constructor.
## Protected Member Functions
virtual const char * | className () const
| Class name. Search for all occurrences

## Constructor & Destructor Documentation

~MFnTurbulenceField | ( |  | ) | `[virtual]`

Destructor.

Class destructor.

MFnTurbulenceField | ( | MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnTurbulenceField | ( | const MDagPath & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given constant MDagPath object.

Parameters:

  [in] | object | The const MDagPath to attach the function set to
  [out] | ReturnStatus | The return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

MFnTurbulenceField | ( | const MObject & | object,
|  | MStatus * | ReturnStatus = `NULL`
| ) |  |

Constructor.

Class constructor that initializes the function set to the given MObject.

Parameters:

  [in] | object | The MObject to attach the function set to
  [out] | ReturnStatus | the return status

Status Codes:
  - MS::kSuccess if the function set is successfully attached
  - MS::kInvalidParameter if the MObject does not represent a valid Maya object or if the function set is not allowed to attach to this MObject

## Member Function Documentation

MFn::Type type | ( |  | ) | const `[virtual]`

Search for all occurrences

Function set type.

Return the class type : MFn::kTurbulence.

Reimplemented from MFnField.

double frequency | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the frequency parameter that generates irregularities in the fields motion.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A value representing a noise generation parameter.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setFrequency | ( | double | value | ) |

Search for all occurrences

Sets the frequency parameter of the Perlin noise function used by the turbulence field.

Values are positive, with larger values causing more frequent irregularities in the motion.

Parameters:

  [in] | value | A value representing a noise generation parameter.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

double phase | ( | MStatus * | ReturnStatus = `NULL` | ) | const

Search for all occurrences

Returns the phase shift parameter that influences the direction of the turbulence field disruption.

Currently this returns the phaseZ attribute, which was called simply phase in versions of Maya prior to 3.0.

Parameters:

  [out] | ReturnStatus | Status code

Returns:
  A value representing a noise generation parameter.

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MStatus setPhase | ( | double | value | ) |

Search for all occurrences

Sets the phase shift parameter of the Perlin noise function used by the turbulence field.

Both positive and negative values are legal and influence the direction of the disruption. Sets the phaseZ parameter, which was called simply phase in versions of Maya prior to 3.0.

Parameters:

  [in] | value | A value representing a noise generation parameter.

Returns:
  Status code

Status Codes:
  - MS::kSuccess The method was successful.
  - MS::kFailure An object error has occurred.

MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField
MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField MFnTurbulenceField